DOM::HTMLIsIndexElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLIsIndexElement Class Reference

This element is used for single-line text input. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLIsIndexElement:

[legend]
Collaboration diagram for DOM::HTMLIsIndexElement:

[legend]
List of all members.

## Public Member Functions
| HTMLIsIndexElement (const HTMLIsIndexElement &other)
| HTMLIsIndexElement (const Node &other)
HTMLIsIndexElement & | operator= (const HTMLIsIndexElement &other)
HTMLIsIndexElement & | operator= (const Node &other)
HTMLFormElement | form () const
| This class or method is obsolete, it is provided for compatibility only.: ### KDE 4.0: remove
DOMString | prompt () const
| The prompt message.
void | setPrompt (const DOMString &)
| see prompt
## Protected Member Functions
| HTMLIsIndexElement (HTMLIsIndexElementImpl *impl)

## Detailed Description

This element is used for single-line text input.

See the ISINDEX element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 1276 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLIsIndexElement::form | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only.: ### KDE 4.0: remove Reimplemented from DOM::Element. Definition at line 1198 of file html_form.cpp.

DOMString HTMLIsIndexElement::prompt | ( |  | ) | const

| The prompt message. See the prompt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 1203 of file html_form.cpp.

void HTMLIsIndexElement::setPrompt | ( | const DOMString & |  | ) |

| see prompt Definition at line 1209 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001